# std::_Mem_fn< _Res(_Class::*)(_ArgTypes...) const > Class Template Reference

Inheritance diagram for std::_Mem_fn< _Res(_Class::*)(_ArgTypes...) const >:

List of all members.

## Detailed Description

### template<typename _Res, typename _Class, typename... _ArgTypes>
class std::_Mem_fn< _Res(_Class::*)(_ArgTypes...) const >

Implementation of `mem_fn` for const member function pointers.

Definition at line 571 of file tr1_impl/functional.

## Public Types

- typedef _Res result_type

## Public Member Functions

- _Mem_fn (_Functor __pmf)
- template<typename _Tp> _Res operator() (_Tp &__object, _ArgTypes...__args) const
- _Res operator() (const _Class *__object, _ArgTypes...__args) const
- _Res operator() (const _Class &__object, _ArgTypes...__args) const

The documentation for this class was generated from the following file:

- tr1_impl/functional